repo/gentoo:master commit in: dev-python/boto3/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786069737.7a6237812ebdb575faf9cb06cd94d64f11d364d5.mgorny@gentoo>
commit:     7a6237812ebdb575faf9cb06cd94d64f11d364d5
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug  7 01:39:06 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug  7 02:28:57 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a623781

dev-python/boto3: Bump to 1.43.66

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.43.66.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index a5edc395711e..eaa38e25de5c 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -9,3 +9,4 @@ DIST boto3-1.43.62.gh.tar.gz 1197144 BLAKE2B 574fe26ea4042f0a7bb0d1c408f7de26a3f
 DIST boto3-1.43.63.gh.tar.gz 1197947 BLAKE2B 0d6ff0fb2ce7c1d87368f989b576a46c4a056f2fb7a90306c4fee588002ab979735bed1c59005767e5922f14e7e01727233b3afa7f5cd9d2818fdc20dcd5d239 SHA512 50fd2c3b9b6a78bb32eb914653a34deb1c68f0519627bc149f3595257417a74343b97e481224dba8fbd3956d949f61ed1116bbf74f7b5bfba0c3a95c2daabb50
 DIST boto3-1.43.64.gh.tar.gz 1199362 BLAKE2B 4be6ebbd2f1e0ad2959aa1774271bfad913c28503d1c0f4d47e672295bf12eeb415ff3ab1765b746b32b1f737220bad6b7ea721ca8679a4a040c415e2c8be319 SHA512 b1609521a3830dd2989d4325c59a636e552d1624dc94131ebb8a955cef0f0ae53e829e9219fe27ebdb56a8872e3e1ec57ad357594e5082fee8dffc4f8982c4cd
 DIST boto3-1.43.65.gh.tar.gz 1199942 BLAKE2B 30dff374a989aaae5281748383dd0ec86a91e2de860ae9dad2117cbac8a41c52b53d944314270b376409c6146ec3a0f673af7ed670a1f46267e7ed3166a12d76 SHA512 0945fab11c9c492acb2c3b960f9d6320f87399b343bcc6b08e96df35c6e4701e95f610029bc71d9d13baee75f79af92e55ec5bacc50f3900d51b59eb2fd512f4
+DIST boto3-1.43.66.gh.tar.gz 1202287 BLAKE2B c1a09c1ccb6ee687a9268d52045a471669029bf54b91ef18150219ce5ceba92491e6b4760dcc17e1a35b79f315ba28ea3c636cfc1fffa97c8899d3175cf0c588 SHA512 f9555cbbe4a793781a8ca25604f3c1ac05902c8278a1a6a327d7f4040330e98be1302ae693c4b12629055bb5d237ec13cc25c67abc712d2f036fa8d51bd519ed

diff --git a/dev-python/boto3/boto3-1.43.66.ebuild b/dev-python/boto3/boto3-1.43.66.ebuild
new file mode 100644
index 000000000000..9b17e7a5c381
--- /dev/null
+++ b/dev-python/boto3/boto3-1.43.66.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+	https://github.com/boto/boto3/
+	https://pypi.org/project/boto3/
+"
+SRC_URI="
+	https://github.com/boto/boto3/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+	>=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+	>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+	>=dev-python/s3transfer-0.19.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# don't lock versions to narrow ranges
+	sed -e '/botocore/ d' \
+		-e '/jmespath/ d' \
+		-e '/s3transfer/ d' \
+		-i setup.py || die
+
+	# do not rely on bundled deps in botocore (sic!)
+	find -name '*.py' -exec sed -i \
+		-e 's:from botocore[.]vendored import:import:' \
+		-e 's:from botocore[.]vendored[.]:from :' \
+		{} + || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	epytest tests/{functional,unit}
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.